%global packname  gargle
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          1.5.2
Release:          2%{?dist}
Summary:          Utilities for Working with Google APIs

License:          MIT + file LICENSE
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   
# Imports:   R-cli >= 3.0.1, R-fs >= 1.3.1, R-glue >= 1.3.0, R-httr >= 1.4.5, R-jsonlite, R-lifecycle, R-openssl, R-rappdirs, R-rlang >= 1.1.0, R-stats, R-utils, R-withr
# Suggests:  R-aws.ec2metadata, R-aws.signature, R-covr, R-httpuv, R-knitr, R-rmarkdown, R-sodium, R-spelling, R-testthat >= 3.1.7
# LinkingTo:
# Enhances:

BuildArch:        noarch
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-cli >= 3.0.1
BuildRequires:    R-fs >= 1.3.1
BuildRequires:    R-glue >= 1.3.0
BuildRequires:    R-httr >= 1.4.5
BuildRequires:    R-jsonlite
BuildRequires:    R-lifecycle
BuildRequires:    R-openssl
BuildRequires:    R-rappdirs
BuildRequires:    R-rlang >= 1.1.0
BuildRequires:    R-stats
BuildRequires:    R-utils
BuildRequires:    R-withr


%description
Provides utilities for working with Google APIs
<https://developers.google.com/apis-explorer>.  This includes functions and
classes for handling common credential types and for preparing, executing,
and processing HTTP requests.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%files
%dir %{rlibdir}/%{packname}
%license %{rlibdir}/%{packname}/LICENSE
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/WORDLIST
%{rlibdir}/%{packname}/discovery-doc-ingest
%{rlibdir}/%{packname}/extdata
%{rlibdir}/%{packname}/pseudo-oob
%{rlibdir}/%{packname}/secret



%changelog
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 1.5.2-2
- trim build deps (don't include Suggests)
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 1.5.2-1
- initial package for Fedora
